|
From: <gb...@us...> - 2008-02-08 06:24:42
|
Revision: 47
http://gearbox.svn.sourceforge.net/gearbox/?rev=47&view=rev
Author: gbiggs
Date: 2008-02-07 22:24:45 -0800 (Thu, 07 Feb 2008)
Log Message:
-----------
Added and updated Gentoo ebuild, updated Gentoo install guide.
Modified Paths:
--------------
gearbox/trunk/doc/install_gentoo.dox
Added Paths:
-----------
gearbox/trunk/dist/
gearbox/trunk/dist/gearbox-0.0.1.ebuild
Added: gearbox/trunk/dist/gearbox-0.0.1.ebuild
===================================================================
--- gearbox/trunk/dist/gearbox-0.0.1.ebuild (rev 0)
+++ gearbox/trunk/dist/gearbox-0.0.1.ebuild 2008-02-08 06:24:45 UTC (rev 47)
@@ -0,0 +1,38 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit cmake-utils
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~x86 ~amd64"
+DESCRIPTION="A collection of libraries for robotics, including hardware drivers and algorithms."
+SRC_URI="/${P}.tar.bz2"
+HOMEPAGE="http://gearbox.sourceforge.net"
+IUSE="doc basic gbxadvanced urg_nz"
+DEPEND=">=dev-util/cmake-2.4
+ doc? (app-doc/doxygen)"
+RDEPEND=${DEPEND}
+
+S=${WORKDIR}/${PN}
+
+src_compile()
+{
+ local mycmakeargs="`cmake-utils_use_enable basic LIB_BASIC`\
+ `cmake-utils_use_enable gbxadvanced LIB_GBXADVANCED`\
+ `cmake-utils_use_enable urg_nz LIB_URG_NZ`"
+ cmake-utils_src_compile
+ if use doc;
+ then
+ cd doc
+ doxygen doxyfile || die "Error building documentation"
+ fi
+}
+
+src_install ()
+{
+ cmake-utils_src_install
+ dodoc LICENSE
+ use doc && dohtml -r doc/html/*
+}
\ No newline at end of file
Modified: gearbox/trunk/doc/install_gentoo.dox
===================================================================
--- gearbox/trunk/doc/install_gentoo.dox 2008-02-08 06:18:46 UTC (rev 46)
+++ gearbox/trunk/doc/install_gentoo.dox 2008-02-08 06:24:45 UTC (rev 47)
@@ -25,14 +25,11 @@
-# Create a directory to store the overlay in, for example \b /usr/local/portage
-# Set the \b PORTDIR_OVERLAY variable in \b /etc/make.conf to include this directory.
-[\b TODO I hope that once we get plenty of libraries, I can get gearbox into the main gentoo portage distribution. That would remove
-this step and probably the next two steps, too.]
-
@section gbx_doc_installgentoo_copyebuild Download and copy ebuild
-Download the Gearbox ebuild from the Gearbox download page. [\b TODO need to find a place to put this in the repository.] This ebuild must be copied into
-the local overlay so that portage can find it. Extract the downloaded files into your local overlay directory. This should create a
-subdirectory called \b dev-libs with a subdirectory called \b gearbox inside it.
+Download the Gearbox ebuild from the GearBox download page. This ebuild must be copied into the local overlay so that portage can
+find it. Extract the downloaded files into your local overlay directory. This should create a subdirectory called \b dev-libs with
+a subdirectory called \b gearbox inside it.
@section gbx_doc_installgentoo_keywordebuild Keyword the ebuild
@@ -51,18 +48,18 @@
specifying them on the command line, for example:
@verbatim
-USE="urglaser" emerge gearbox -av
+USE="urg_nz" emerge gearbox -av
@endverbatim
Alternatively, they can be set more permanantly be specifying them in /etc/portage/package.use:
@verbatim
-dev-libs/gearbox urglaser
+dev-libs/gearbox urg_nz
@endverbatim
A full list of available USE flags is given below. For a list of those provided by your current ebuild for Gearbox,
run \b equery \b uses \b gearbox.
-<table><tr><td>urglaser</td><td>Enables the Hokuyo URG laser driver library</td></tr>
+<table><tr><td>urg_nz</td><td>Enables the "urgnz" Hokuyo URG laser driver library</td></tr>
</table>
@section gbx_doc_installgentoo_install Install
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|